/// \file a429_ioctl.h
/// \brief инфраструктура для обработки ioctl команд
#ifndef A429_IOCTL_H
#define A429_IOCTL_H

#include <linux/cdev.h>
#include <linux/device.h>
#include <linux/kernel.h>
#include <linux/slab.h>
#include <linux/uaccess.h>
#include <linux/fs.h>
#include <linux/ioctl.h>
#include <linux/pci.h>
#include <linux/cdev.h>
#include <linux/time.h>

#include "a429_cdev.h"
#include "a429_cmd.h"

/// \brief ioctl_handler обработчик ioctl-команд
/// \param dev указатель на сивольное устройство
/// \param cmd команда
/// \param arg аргументы команды
/// \return результат операции
long ioctl_handler(struct a429_cdev_data* dev, unsigned int cmd, unsigned long arg);

#endif // A429_IOCTL_H
