/// \file a429_regs.h
/// \brief объявления регистров

#ifndef A429_REGS_H
#define A429_REGS_H

/// \remark Смещения регистров относительно BAR0
///

#define REG_DMA_DATA_BASE           0x1000                      ///< базовый адрес буфера данных в памяти ПК
#define REG_DMA_INDEX               0x1040                      ///< указатель записи в буфере данных
#define REG_DMA_DISABLE             0x1044                      ///< запрещение работы каналов (дма)
#define REG_INTERRUPT               0x100C                      ///< статус прерываний
#define REG_INTERRUPT_MASK          0x1010                      ///< маска прерываний
#define REG_CTR_TIMEOUT_ABSOLUTE    0x1050                      ///< абсолютный таймер
#define REG_CTR_TIMEOUT_INTERVAL    0x1060                      ///< интервальный таймер
#define REG_DATA_COUNTER            0x1070                      ///< счётчик данных
#define REG_SC_OUT                  0x1080                      ///< выходные РК
#define REG_SC_IN                   0x1084                      ///< входные РК
#define REG_SC_INT_MASK             0x1088                      ///< маска прерываний РК

#define REG_LBL_CONF_PCI_0(numCh)   (0x1400 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_1(numCh)   (0x1404 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_2(numCh)   (0x1408 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_3(numCh)   (0x140C + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_4(numCh)   (0x1410 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_5(numCh)   (0x1414 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_6(numCh)   (0x1418 + numCh * 0x40)     ///< разрешение приёма данных
#define REG_LBL_CONF_PCI_7(numCh)   (0x141C + numCh * 0x40)     ///< разрешение приёма данных
#define REG_RX_CONF(numCh)          (0x1420 + numCh * 0x40)     ///< конфигурация приёмника

#define REG_TX_CONF(numCh)          (0x1428 + numCh * 0x40)     ///< конфигурация передатчика
#define REG_TX_CONTROL(numCh)       (0x142C + numCh * 0x40)     ///< управление передатчиком
#define REG_TX_FIFO(numCh)          (0x1430 + numCh * 0x40)     ///< фифо передачи
#define REG_TX_DATA_RAM(numCh)      (0x8000 + numCh * 0x800)    ///< память данных передатчиков
#define REG_TX_DESC_RAM(numCh)      (0x8400 + numCh * 0x800)    ///< память дескрипторов передатчиков

#endif

